From 0906b3daa20a8e6be78ce80ab965fc06401349f2 Mon Sep 17 00:00:00 2001
From: Zach DeCook <zachdecook@librem.one>
Date: Mon, 1 Jan 2024 12:37:17 -0500
Subject: [PATCH] HookSystem: rename PAGESIZE_VAR from PAGESIZE to avoid
 conflict

---
 src/plugins/HookSystem.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/plugins/HookSystem.cpp b/src/plugins/HookSystem.cpp
index e52fd749b5..ba53ae5afe 100644
--- a/src/plugins/HookSystem.cpp
+++ b/src/plugins/HookSystem.cpp
@@ -190,9 +190,9 @@ bool CFunctionHook::hook() {
         (uint64_t)((uint8_t*)m_pSource + sizeof(ABSOLUTE_JMP_ADDRESS));
 
     // make jump to hk
-    const auto     PAGESIZE  = sysconf(_SC_PAGE_SIZE);
-    const uint8_t* PROTSTART = (uint8_t*)m_pSource - ((uint64_t)m_pSource % PAGESIZE);
-    const size_t   PROTLEN   = std::ceil((float)(ORIGSIZE + ((uint64_t)m_pSource - (uint64_t)PROTSTART)) / (float)PAGESIZE) * PAGESIZE;
+    const auto     PAGESIZE_VAR  = sysconf(_SC_PAGE_SIZE);
+    const uint8_t* PROTSTART = (uint8_t*)m_pSource - ((uint64_t)m_pSource % PAGESIZE_VAR);
+    const size_t   PROTLEN   = std::ceil((float)(ORIGSIZE + ((uint64_t)m_pSource - (uint64_t)PROTSTART)) / (float)PAGESIZE_VAR) * PAGESIZE_VAR;
     mprotect((uint8_t*)PROTSTART, PROTLEN, PROT_READ | PROT_WRITE | PROT_EXEC);
     memcpy((uint8_t*)m_pSource, ABSOLUTE_JMP_ADDRESS, sizeof(ABSOLUTE_JMP_ADDRESS));
 
